Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.typehandling
Class FloatingPointMath

    java.lang.Object
      org.codehaus.groovy.runtime.typehandling.NumberMath
          org.codehaus.groovy.runtime.typehandling.FloatingPointMath

    public class FloatingPointMath

extends NumberMath

FloatingPoint (Double and Float) NumberMath operations

Author:
  Steve Goetze

Field Summary
`static FloatingPointMath` | `INSTANCE`

Method Summary
`protected Number` | `absImpl(Number number)`
`protected Number` | `addImpl(Number left, Number right)`
`protected int` | `compareToImpl(Number left, Number right)`
`protected Number` | `divideImpl(Number left, Number right)`
`protected Number` | `modImpl(Number left, Number right)`
`protected Number` | `multiplyImpl(Number left, Number right)`
`protected Number` | `subtractImpl(Number left, Number right)`
`protected Number` | `unaryMinusImpl(Number left)`

Methods inherited from class org.codehaus.groovy.runtime.typehandling.NumberMath
`abs, add, and, andImpl, compareTo, createUnsupportedException, divide, intdiv, intdivImpl, isBigDecimal, isBigInteger, isFloatingPoint, isInteger, isLong, leftShift, leftShiftImpl, mod, multiply, or, orImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, toBigDecimal, toBigInteger, unaryMinus, xor, xorImpl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final FloatingPointMath INSTANCE

Method Detail

### absImpl

    protected Number absImpl(Number number)

  Specified by:
    `absImpl` in class `NumberMath`

### addImpl

    protected Number addImpl(Number left,
                             Number right)

  Specified by:
    `addImpl` in class `NumberMath`

### subtractImpl

    protected Number subtractImpl(Number left,
                                  Number right)

  Specified by:
    `subtractImpl` in class `NumberMath`

### multiplyImpl

    protected Number multiplyImpl(Number left,
                                  Number right)

  Specified by:
    `multiplyImpl` in class `NumberMath`

### divideImpl

    protected Number divideImpl(Number left,
                                Number right)

  Specified by:
    `divideImpl` in class `NumberMath`

### compareToImpl

    protected int compareToImpl(Number left,
                                Number right)

  Specified by:
    `compareToImpl` in class `NumberMath`

### modImpl

    protected Number modImpl(Number left,
                             Number right)

  Overrides:
    `modImpl` in class `NumberMath`

### unaryMinusImpl

    protected Number unaryMinusImpl(Number left)

  Specified by:
    `unaryMinusImpl` in class `NumberMath`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD